<template>
  <div class="hold-transition register-page">
    <div class="register-box">
        <div class="register-logo">
            <router-link to="/login"><b>Anisha</b>Maharjan</router-link>
        </div>

        <div class="card">
            <div class="card-body register-card-body">
                <p class="login-box-msg">Register a new membership</p>

                <form  @submit.prevent="register">
                    <div class="input-group mb-3">
                        <input v-model="user.name" name="name" :class="{ 'is-invalid': user.errors.has('name') }" type="text" class="form-control" placeholder="Full name" >
                        <div class="input-group-append">
                            <div class="input-group-text">
                                <span class="fas fa-user"></span>
                            </div>
                        </div>
                        <has-error :form="user" field="name"></has-error>
                    </div>
                    <div class="input-group mb-3">
                        <input v-model="user.email" name="email" :class="{ 'is-invalid': user.errors.has('email') }" type="email" class="form-control" placeholder="Email">
                        <div class="input-group-append">
                            <div class="input-group-text">
                                <span class="fas fa-envelope"></span>
                            </div>
                        </div>
                        <has-error :form="user" field="email"></has-error>
                    </div>
                    <div class="input-group mb-3">
                        <input v-model="user.password" name="password" :class="{ 'is-invalid': user.errors.has('password') }" type="password" class="form-control" placeholder="Password">
                        <div class="input-group-append">
                            <div class="input-group-text">
                                <span class="fas fa-lock"></span>
                            </div>
                        </div>
                        <has-error :form="user" field="password"></has-error>
                    </div>
                    <div class="input-group mb-3">
                        <input v-model="user.confirm_password" name="confirm_password" :class="{ 'is-invalid': user.errors.has('confirm_password') }" type="password" class="form-control" placeholder="Retype password">
                        <div class="input-group-append">
                            <div class="input-group-text">
                                <span class="fas fa-lock"></span>
                            </div>
                        </div>
                        <has-error :form="user" field="confirm_password"></has-error>
                    </div>
                    <div class="row">
                        <div class="col-8">
                            <div class="icheck-primary">
                                <input type="checkbox" id="agreeTerms" name="terms" value="agree">
                                <label for="agreeTerms">
                                    I agree to the <a href="#">terms</a>
                                </label>
                            </div>
                        </div>
                        <!-- /.col -->
                        <div class="col-4">
                            <button type="submit" class="btn btn-primary btn-block">Register</button>
                        </div>
                        <!-- /.col -->
                    </div>
                </form>

                <p class="mb-0 mt-3" style="float:right">
                    Already have a membership?
                    <router-link to="/login" class="text-center">Login</router-link>
                </p>
            </div>
            <!-- /.form-box -->
        </div><!-- /.card -->
    </div>
  </div>
</template>

<script>
export default {
    name: 'Register',
    data() {
        return {
            user: new this.$Form ({
                name: '',
                email: '',
                password: '',
                confirm_password: ''
            })
        }
    },
    methods:{
        register(){
            if(this.user.name==""){
                this.user.errors.errors ={ "name" : "Please fill this field."}
            }
            else if(this.user.email==""){
                this.user.errors.errors ={ "email" : "Please fill this field."}
            }
            else if(this.user.password==""){
                this.user.errors.errors ={ "password" : "Please fill this field."}
            }
            else if(this.user.confirm_password==""){
                this.user.errors.errors ={ "confirm_password" : "Please fill this field."}
            }
            else{
                this.$axios.post('http://localhost:8000/api/register', 
                {
                    name: this.user.name,
                    email: this.user.email,
                    password: this.user.password,
                    confirm_password: this.user.confirm_password
                })
                .then(()=>{
                    this.$router.push("/login")
                })
                .catch((error)=>{
                console.log(error)
                })
            }
        }
    }
}
</script>